org.apache.jmeter.engine.util

## Class ReplaceFunctionsWithStrings

- java.lang.Object
- - org.apache.jmeter.engine.util.ReplaceFunctionsWithStrings

-     public class ReplaceFunctionsWithStrings
      extends Object

  Transforms strings into variable references (in spite of the name, which suggests the opposite!)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReplaceFunctionsWithStrings(CompoundVariable masterFunction, Map<String,String> variables)`
    `ReplaceFunctionsWithStrings(CompoundVariable masterFunction, Map<String,String> variables, boolean regexMatch)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected CompoundVariable` | `getMasterFunction()`
    `Map<String,String>` | `getVariables()`
    `void` | `setMasterFunction(CompoundVariable variable)` Set the master function for the value transformer.
    `void` | `setVariables(Map<String,String> map)` Set the variable names and values used to reverse replace functions with strings, and undo functions to raw values.
    `JMeterProperty` | `transformValue(JMeterProperty prop)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ReplaceFunctionsWithStrings

          public ReplaceFunctionsWithStrings(CompoundVariable masterFunction,
                                             Map<String,String> variables)

    - #### ReplaceFunctionsWithStrings

          public ReplaceFunctionsWithStrings(CompoundVariable masterFunction,
                                             Map<String,String> variables,
                                             boolean regexMatch)

  - ### Method Detail

    - #### transformValue

          public JMeterProperty transformValue(JMeterProperty prop)
                                        throws InvalidVariableException

      Throws:
        `InvalidVariableException`

    - #### setMasterFunction

          public void setMasterFunction(CompoundVariable variable)

      Set the master function for the value transformer. This handles converting strings to functions.
      Parameters:
        `variable` - Function to be used for the transformation

    - #### getMasterFunction

          protected CompoundVariable getMasterFunction()

    - #### getVariables

          public Map<String,String> getVariables()

    - #### setVariables

          public void setVariables(Map<String,String> map)

      Set the variable names and values used to reverse replace functions with strings, and undo functions to raw values.
      Parameters:
        `map` - Map of names and values to be used for the transformation

Copyright © 1998-2021 Apache Software Foundation. All Rights Reserved.